#!/usr/bin/env python
#

from orgasm.indexer import Index

if __name__ == '__main__':
    
    import argparse
    
    parser = argparse.ArgumentParser(description='Return read count present in an orgasm index.')
    parser.add_argument('indexFilename', metavar='index', help='index root filename (produced by orgasmi)')
    
    args = parser.parse_args()

    # Load the read index

    r = Index(args.indexFilename)
    
    print len(r),r.getReadSize()
    

